Share via


Managed Instance Operations - Get

Gets a management operation on a managed instance.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/operations/{operationId}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
managedInstanceName
path True

string

The name of the managed instance.

operationId
path True

string (uuid)

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ManagedInstanceOperation

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets the managed instance management operation

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/00000000-1111-2222-3333-444444444444?api-version=2025-01-01

Sample response

{
  "name": "11111111-1111-1111-1111-111111111111",
  "type": "Microsoft.Sql/managedInstances/operations",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/11111111-1111-1111-1111-111111111111",
  "properties": {
    "isCancellable": false,
    "managedInstanceName": "sqlcrudtest-4645",
    "operation": "UpsertManagedServer",
    "operationFriendlyName": "UPDATE MANAGED SERVER",
    "operationSteps": {
      "currentStep": 2,
      "stepsList": [
        {
          "name": "Request validation",
          "order": 1,
          "status": "Completed",
          "stepEndTime": "2019-12-06T11:08:45.57Z",
          "stepStartTime": "2019-12-06T11:08:44.49Z",
          "timeElapsed": "0"
        },
        {
          "name": "Virtual Cluster resize/creation",
          "order": 2,
          "status": "Completed",
          "stepEndTime": "2019-12-06T11:23:05.47Z",
          "stepStartTime": "2019-12-06T11:08:46.05Z",
          "timeElapsed": "14"
        },
        {
          "name": "New SQL Instance Startup",
          "order": 3,
          "status": "Canceled",
          "stepEndTime": "2019-12-06T11:23:11.51Z",
          "stepStartTime": "2019-12-06T11:23:05.55Z",
          "timeElapsed": "0"
        },
        {
          "name": "Seeding database files",
          "order": 4,
          "status": "NotStarted"
        },
        {
          "name": "Preparing Failover and Failover",
          "order": 5,
          "status": "NotStarted"
        },
        {
          "name": "Old SQL Instance cleanup",
          "order": 6,
          "status": "NotStarted"
        }
      ],
      "totalSteps": "6"
    },
    "percentComplete": 100,
    "startTime": "2019-12-06T11:08:44.49Z",
    "state": "Cancelled"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedInstanceOperation

A managed instance operation.

ManagedInstanceOperationParametersPair

The parameters of a managed instance operation.

ManagedInstanceOperationSteps

The steps of a managed instance operation.

ManagementOperationState

The operation state.

systemData

Metadata pertaining to creation and last modification of the resource.

UpsertManagedServerOperationParameters
UpsertManagedServerOperationStepWithEstimatesAndDuration
UpsertManagedServerOperationStepWithEstimatesAndDurationStatus

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedInstanceOperation

A managed instance operation.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.description

string

The operation description.

properties.errorCode

integer (int32)

The operation error code.

properties.errorDescription

string

The operation error description.

properties.errorSeverity

integer (int32)

The operation error severity.

properties.estimatedCompletionTime

string (date-time)

The estimated completion time of the operation.

properties.isCancellable

boolean

Whether the operation can be cancelled.

properties.isUserError

boolean

Whether or not the error is a user error.

properties.managedInstanceName

string

The name of the managed instance the operation is being performed on.

properties.operation

string

The name of operation.

properties.operationFriendlyName

string

The friendly name of operation.

properties.operationParameters

ManagedInstanceOperationParametersPair

The operation parameters.

properties.operationSteps

ManagedInstanceOperationSteps

The operation steps.

properties.percentComplete

integer (int32)

The percentage of the operation completed.

properties.startTime

string (date-time)

The operation start time.

properties.state

ManagementOperationState

The operation state.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedInstanceOperationParametersPair

The parameters of a managed instance operation.

Name Type Description
currentParameters

UpsertManagedServerOperationParameters

The current parameters.

requestedParameters

UpsertManagedServerOperationParameters

The requested parameters.

ManagedInstanceOperationSteps

The steps of a managed instance operation.

Name Type Description
currentStep

integer (int32)

The number of current operation steps.

stepsList

UpsertManagedServerOperationStepWithEstimatesAndDuration[]

The operation steps list.

totalSteps

string

The total number of operation steps.

ManagementOperationState

The operation state.

Value Description
Pending

Pending

InProgress

InProgress

Succeeded

Succeeded

Failed

Failed

CancelInProgress

CancelInProgress

Cancelled

Cancelled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UpsertManagedServerOperationParameters

Name Type Description
family

string

storageSizeInGB

integer (int32)

tier

string

vCores

integer (int32)

UpsertManagedServerOperationStepWithEstimatesAndDuration

Name Type Description
name

string

order

integer (int32)

status

UpsertManagedServerOperationStepWithEstimatesAndDurationStatus

stepEndTime

string (date-time)

stepStartTime

string (date-time)

timeElapsed

string

UpsertManagedServerOperationStepWithEstimatesAndDurationStatus

Value Description
NotStarted

NotStarted

InProgress

InProgress

SlowedDown

SlowedDown

Completed

Completed

Failed

Failed

Canceled

Canceled